Skip to main content
GET
/
v1
/
schemas
/
{entity}
Get Field Schemas for an Entity
curl --request GET \
  --url https://api.example.com/v1/schemas/{entity}
{
  "data": [
    {
      "name": "Name",
      "key": "name",
      "type": "string",
      "filterable": true,
      "sortable": true,
      "allowed_operators": [
        "contains",
        "not_contains",
        "is",
        "is_not",
        "is_empty",
        "is_not_empty"
      ]
    },
    {
      "name": "Status",
      "key": "status",
      "type": "enum",
      "filterable": true,
      "sortable": true,
      "allowed_operators": [
        "is",
        "is_not",
        "is_empty",
        "is_not_empty"
      ],
      "enum_field_settings": {
        "allowed_values": [
          {
            "key": "NEW",
            "display_value": "New"
          },
          {
            "key": "PROSPECTING",
            "display_value": "Prospecting"
          },
          {
            "key": "ENGAGED",
            "display_value": "Engaged"
          },
          {
            "key": "CUSTOMER",
            "display_value": "Customer"
          }
        ]
      }
    },
    {
      "name": "Owner",
      "key": "owner",
      "type": "uuid",
      "filterable": true,
      "sortable": false,
      "allowed_operators": [
        "is",
        "is_not",
        "is_empty",
        "is_not_empty"
      ],
      "enum_field_settings": {
        "allowed_values": [
          {
            "key": "usr_abc123",
            "display_value": "Jane Smith"
          },
          {
            "key": "usr_def456",
            "display_value": "John Doe"
          }
        ]
      }
    },
    {
      "name": "Employee Count",
      "key": "employee_count",
      "type": "number",
      "parent": "company",
      "filterable": true,
      "sortable": true,
      "allowed_operators": [
        "equals",
        "greater_than",
        "less_than",
        "is_empty",
        "is_not_empty"
      ]
    },
    {
      "name": "Last Funding Date",
      "key": "last_funding_date",
      "type": "date",
      "parent": "company",
      "filterable": true,
      "sortable": true,
      "allowed_operators": [
        "is",
        "equals",
        "greater_than",
        "less_than",
        "is_empty",
        "is_not_empty"
      ],
      "enum_field_settings": {
        "allowed_values": [
          {
            "key": "previous_week",
            "display_value": "Previous week"
          },
          {
            "key": "previous_month",
            "display_value": "Previous month"
          },
          {
            "key": "previous_quarter",
            "display_value": "Previous quarter"
          }
        ]
      }
    }
  ],
  "meta": {
    "timestamp": "2026-04-21T12:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monaco.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

entity
string
required

Response

Successful Response

data
FieldSchemaResponse · object[]
required
meta
ResponseMeta · object